%define srcname pyparted

# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

Summary: 	Python module for GNU parted
Name:    	python-parted
Version: 	3.11.7
Release: 	%mkrel 6
License: 	GPLv2+
Group:   	Development/Python
URL:     	https://github.com/dcantrell/pyparted
Source0: 	%{pypi_source}

BuildRequires: 	python3-devel
BuildRequires: 	pkgconfig(python3)
BuildRequires: 	pkgconfig(libparted) >= 3.1-14

%description
Python module for the parted library. It is used for manipulating
partition tables.

%package -n python3-parted
Summary:	Python 3 module for GNU parted
Group:		Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-parted}

%description -n python3-parted
Python module for the parted library.  It is used for manipulating
partition tables. This package provides Python 3 bindings for parted.

%files -n python3-parted
%license COPYING
%doc AUTHORS NEWS README TODO
%{python3_sitearch}/_ped.*.so
%{python3_sitearch}/parted
%{python3_sitearch}/%{srcname}-*.dist-info

%prep
%setup -q -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install

# Remove .la file
find %{buildroot} -name "*.la" -delete


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.11.7-6.mga10
+ Revision: 2238694
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 3.11.7-5.mga10
+ Revision: 2155523
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 3.11.7-4.mga10
+ Revision: 2017892
- rebuild for python3.12
- adapt to pyproject

* Fri Apr 01 2022 umeabot <umeabot> 3.11.7-3.mga9
+ Revision: 1838704
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 3.11.7-2.mga9
+ Revision: 1773709
- Rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 3.11.7-1.mga9
+ Revision: 1706616
- new version: 3.11.7

* Sun Mar 21 2021 daviddavid <daviddavid> 3.11.6-2.mga9
+ Revision: 1706615
- rebuild for python 3.9

* Thu Aug 20 2020 joequant <joequant> 3.11.6-1.mga8
+ Revision: 1616914
- fix build by updating to 3.11.6
- fix gcc10 build

* Sun Feb 16 2020 umeabot <umeabot> 3.11.2-2.mga8
+ Revision: 1533450
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 wally <wally> 3.11.2-1.mga8
+ Revision: 1444504
- new version 3.11.2
- drop python2 support

* Tue Jan 08 2019 tv <tv> 3.10.7-6.mga7
+ Revision: 1351685
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 3.10.7-5.mga7
+ Revision: 1300544
- Mageia 7 Mass Rebuild

* Tue May 08 2018 tv <tv> 3.10.7-4.mga7
+ Revision: 1227729
- rename python-parted as python2-parted

* Sat Aug 05 2017 pterjan <pterjan> 3.10.7-3.mga7
+ Revision: 1135538
- Rebuild for python 3.6

* Thu May 12 2016 daviddavid <daviddavid> 3.10.7-2.mga6
+ Revision: 1014018
- replace some macros thus fixing build
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Dec 06 2015 philippem <philippem> 3.10.7-1.mga6
+ Revision: 908596
- update to 3.10.7, add Python3
- update to 3.10.7, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 3.10-7.mga5
+ Revision: 750516
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.10-6.mga5
+ Revision: 729309
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.10-5.mga5
+ Revision: 688203
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.10-3.mga4
+ Revision: 543791
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.10-2.mga4
+ Revision: 499082
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 3.10-1.mga4
+ Revision: 491783
- Update to 3.10

* Sun Jan 13 2013 umeabot <umeabot> 3.8-3.mga3
+ Revision: 379235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 03 2012 fwang <fwang> 3.8-2.mga3
+ Revision: 278238
- rebuild for new gparted

* Mon Jul 11 2011 dams <dams> 3.8-1.mga2
+ Revision: 122222
- use python ./setup.py as no longuer ./configure provided
- Update to 3.8

* Tue Jun 14 2011 mikala <mikala> 3.6-1.mga2
+ Revision: 106198
- imported package python-parted

